# Class StyledEditorKit.ItalicAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.text.TextAction
javax.swing.text.StyledEditorKit.StyledTextAction
javax.swing.text.StyledEditorKit.ItalicAction

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

Enclosing class:
  `StyledEditorKit`

public static class StyledEditorKit.ItalicAction extends StyledEditorKit.StyledTextAction
An action to toggle the italic attribute.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Field Summary

  ### Fields declared in class AbstractAction

  `changeSupport, enabled`

  ### Fields declared in interface Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItalicAction()`
  Constructs a new ItalicAction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  Toggles the italic attribute.

  ### Methods declared in class StyledEditorKit.StyledTextAction

  `getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

  ### Methods declared in class TextAction

  `augmentList, getFocusedComponent, getTextComponent`

  ### Methods declared in class AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods declared in class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Action

  `accept`

- ## Constructor Details

  - ### ItalicAction

    public ItalicAction()
    Constructs a new ItalicAction.

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Toggles the italic attribute.
    Parameters:
      `e` - the action event